<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (is_file(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
// The Auto Routing (Legacy) is very dangerous. It is easy to create vulnerable apps
// where controller filters or CSRF protection are bypassed.
// If you don't want to define all routes, please use the Auto Routing (Improved).
// Set `$autoRoutesImproved` to true in `app/Config/Feature.php` and set the following to true.
//$routes->setAutoRoute(false);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */
$routes->get('/stripe', 'StripeController::index');
$routes->post('/stripe/create-charge', 'StripeController::createCharge');
// We get a performance increase by specifying the default
// route since we don't have to scan directories.
$routes->get('/', 'Shop::index');
$routes->get('/search', 'Shop::searchImg');
$routes->get('/suchen', 'Shop::suchen');
$routes->get('shop', 'ProductDetails::category');
$routes->get('bycat/(:any)', 'ProductDetails::category/$1');
$routes->get('mcat/(:any)', 'ProductDetails::mcategory/$1');
$routes->get('p/(:any)', 'ProductDetails::sku/$1');
$routes->post('shippingpossibilities', 'PriceController::ship');
$routes->post('price', 'PriceController::price');
//$routes->post('addcart', 'PriceController::cartIn');
$routes->post('cart', 'Carts::cartIn');
/////////////////polo shirt////////
$routes->post('shirtposibilities', 'Shirt::ship');
$routes->post('shirtprice', 'Shirt::price');
/////////////////Endpolo shirt////////

$routes->get('cartdata', 'Carts::showcart');
$routes->get('cartcount', 'Carts::cartcount');
$routes->post('removedata', 'Carts::removedata');
$routes->get('shopcart', 'Carts::shoppingcart');
$routes->get('clear', 'Carts::cartclear');
$routes->get('about', 'Site::about');
$routes->get('policy', 'Site::policy');
$routes->get('tcondition', 'Site::tcondition');
$routes->get('contactus', 'Site::contactus');
$routes->post('sendquery', 'Site::savecontact');
$routes->post('request', 'Site::saveRequest');
$routes->post('sessions', 'PaymentController::sessions');
$routes->get('confirmation/(:any)', 'Login::confirm/$1');
$routes->get('/token', 'Tken::index');
$routes->get('coupon', 'Site::coupon');
$routes->group('',['filter'=>'AuthCheck'], function($routes){
	/////////////////User Rout////
	$routes->get('dashboard/(:any)', 'Myaccount::index/$1');
	$routes->get('dashboard/', 'Myaccount::index');
	$routes->post('/pupdate', 'Myaccount::profileupdate');
	$routes->get('hinb', 'Myaccount::addbilling');
	$routes->post('/saveb', 'Myaccount::savebilling');
	$routes->get('hins', 'Myaccount::addshipping');
	$routes->post('/saves', 'Myaccount::saveshipping');
     /////////shopping cart/////////////////
	$routes->post('/apply', 'Cart::counpon');
	$routes->get('/viewcart', 'Cart::shoppingcart');
	$routes->get('/checkout', 'Cart::checkout');
	$routes->get('paynow/(:any)', 'Cart::Paydue/$1');
	$routes->post('orderpayment', 'Cart::onlinePaymnet');
	$routes->post('payment', 'PaymentController::payByAdyen');
	$routes->post('/createsession', 'Create::stripeSession');
	$routes->get('result/(:any)', 'PaymentController::ProcessPayment/$1');
	$routes->get('redirect', 'PaymentController::otherPayment');
	$routes->get('success/(:any)', 'PaymentController::checkoutcomplete/$1');
	//$routes->post('/payment', 'PaymentController::payByAdyen');
	$routes->get('invoices', 'Invoice::lists');
	$routes->get('upload/(:any)', 'Invoice::Uploadfile/$1');
	$routes->post('fupload', 'Invoice::fupload');
	$routes->post('bupload', 'Invoice::bupload');
	$routes->get('download/(:any)', 'Cart::download/$1');
    $routes->get('pdfload/(:any)', 'Invoice::pdfdownload/$1');
	
	////////////////////////////////////////
	$routes->get('/dash', 'Dashboard::index');
	$routes->get('autoup', 'Imageup::autoupdate');
	$routes->get('Image', 'Imageup::index');
	$routes->get('imageupdate/(:any)', 'Imageup::imageupdate/$1');
	$routes->post('/uploadImage', 'Imageup::uploadImage');
	$routes->get('/products', 'Products::index');
	$routes->get('pds/(:any)', 'Products::sku/$1');
	
	$routes->get('opencart', 'Cart::showcart');
	$routes->get('ditem/(:any)', 'Cart::deleteitem/$1');
	/////////////My account Setting////////////////////
	$routes->get('/myacccount', 'Account::index');
	$routes->post('/piupdate', 'Account::inupdate');
	$routes->get('aba', 'Account::addbilling');
	$routes->get('eaba/(:any)', 'Account::addbilling/$1');
	$routes->post('/bas', 'Account::savebilling');
	$routes->get('asa/', 'Account::addshipping');
	$routes->get('easa/(:any)', 'Account::addshipping/$1');
	$routes->post('/sas', 'Account::saveshipping');
    /////////////////////////////////////
    $routes->get('Srequest', 'SpecialRequest::lists');
	$routes->get('dspecial/(:any)', 'SpecialRequest::download/$1');
	$routes->get('Querys', 'Contactus::lists');
	///////////////////
	$routes->get('customer', 'Customers::lists');
	//////////////////////////////////////
	$routes->get('rinv', 'Receiveinvoice::lists');
	$routes->get('dlfile/(:any)', 'Receiveinvoice::viewonly/$1');
	$routes->get('rorder/(:any)', 'Receiveinvoice::receiveOrder/$1');
	$routes->get('orderdd/(:any)', 'Receiveinvoice::delivery/$1');
	$routes->get('pready/(:any)', 'Receiveinvoice::ready/$1');
	$routes->get('psend/(:any)', 'Receiveinvoice::sending/$1');
	$routes->get('retorder/(:any)', 'Receiveinvoice::returnorder/$1');
	/////////////Master category////////////////////
	$routes->get('Mcat', 'Mcategory::index');
	$routes->get('Amcat', 'Mcategory::addEdit');
	$routes->get('Emcat/(:any)', 'Mcategory::addEdit/$1');
	$routes->post('/savemcat', 'Mcategory::saveMcategory');
	/////////////category////////////////////
	$routes->get('Catsl', 'Category::index');
	$routes->get('acat', 'Category::addEdit');
	$routes->get('edcat/(:any)', 'Category::addEdit/$1');
	$routes->post('/savecat', 'Category::saveCategory');
	/////////////Coupon////////////////////
	$routes->get('Clist', 'Coupon::index');
	$routes->get('adcoupon', 'Coupon::addEdit');
	$routes->get('edcoupon/(:any)', 'Coupon::addEdit/$1');
	$routes->post('/savecoupon', 'Coupon::saveCoupon');
	/////////////////////
	$routes->get('slider', 'Slider::index');
	$routes->get('adds/', 'Slider::add');
	$routes->get('edits/(:any)', 'Slider::edit/$1');
	$routes->post('/saveslider', 'Slider::save');
	///////////////////////////////
	$routes->get('company', 'Company::index');
	$routes->post('/updated', 'Company::update');
	
    
});
////////////////////////////////////////////////////
$routes->group('',['filter'=>'AlreadyLoggedIn'], function($routes){
	
	

});
$routes->get('login', 'Login::index');
$routes->get('fgp', 'Login::forgotpass');
$routes->get('nboarding', 'Login::createAccount');
$routes->post('register', 'Login::register');
$routes->post('logcheck', 'Login::loginpermission');
$routes->get('logout', 'Login::logout');
$routes->get('price', 'Test::save');
$routes->post('getpassword', 'Login::getpassword');
////////////Admin Login/////////////
$routes->get('admin', 'Admin::index');
$routes->post('alogincheck', 'Admin::Permission');



/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (is_file(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
