<!doctype html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Print Invoice #<?php echo $info->id ?></title>
    <style>
        body {
            color: #000000;
            font-family: Calibri,Candara,Segoe,Segoe UI,Optima,Arial,sans-serif;
        }
        .invoice-box {
            width: 210mm;
            margin: auto;
            padding: 4mm;
            border: 0;
            font-size: 12pt;
            line-height: 14pt;
            color: #000;
        }
        table {
            width: 100%;
            line-height: 13pt;
            text-align: left;
            border-collapse: collapse;
        }
     
        .subtotal tr td {
            line-height: 10pt;
            padding: 3pt;
            font-size: 8pt;
            font-weight: bold;
        }
     
        .invoice-box table td {
            padding: 3pt 4pt 3pt 4pt;
            vertical-align: center;
        }
        table tr.heading td {
            background: #0d6efd;
            color: #FFF;
            padding: 3pt;
            font-size: 9pt;
            font-weight: bold;            
        }
        .mfill{
            background-color: #eee;
        }
        .mfill td{
            background-color: #eee;
            font-size: 8pt;
            color: #000;
            font-weight: normal;
        }
        .descr {
            font-size: 7pt;
            color: #515151;
            font-weight: normal;
        }
        .tax {
            font-size: 10px;
            color: #515151;
        }
        .t_center {
            text-align: center;
        }
        .t_left {
            text-align: left;
        }
        .t_right{text-align: right;}
        .header1 th{text-align: left;
            font-size: 10pt;}
        .customername{
            font-size: 12pt;
            font-weight: bold;
        }
        .customeradd{
            font-size: 12pt;
        }
    </style>
</head>
<body>
<div class="invoice-box">
     <br>
      <div style="width: 50%;float: left;"> &nbsp;</div>
      <div style="width: 50%;float: left;background-color:#D9D9D9"> 
       <table class="header1">
           <tr>
            <th><?php echo getLan('order_number') ?>  :</th>
            <th><?php echo $info->order_number; ?></th>
            </tr> 
            <tr>
            <th><?php echo getLan('invoice_number') ?>  :</th>
            <th><?php echo $info->invoice_number; ?></th>
            </tr>
            <tr>
            <th><?php echo getLan('invoice_date') ?> :</th>
            <th><?php echo $info->invoice_date; ?></th>
            </tr>
            <tr>
            <th><?php echo getLan('customer_no') ?>:</th>
            <th><?php echo $info->customer_no; ?></th>
            </tr>
            <?php if($info->coupon_code!=''){  ?>
            <tr>
            <th><?php echo getLan('coupon_code') ?>:</th>
            <th><?php echo $info->coupon_code; ?></th>
            </tr>
            <?php } ?>
        </table>
      </div>
      <br>
    <div style="width: 50%;float: left;"> 
       <strong class="customername"> 
        <?php echo "$info->first_name $info->last_name"; ?></strong>
        <br>
       <span class="customeradd"><?php  echo preecho($info->shipping_address); ?></span>
   </div>
   <br>
   <div style="width: 100%;float: left;">   
    <table class="plist" cellpadding="0" cellspacing="0">
        <tr class="heading">
            <td style="width: 5%">
                <?php echo getLan('sn') ?>
            </td>
            <td style="width: 65%" class="t_left">
                <?php echo getLan('description') ?>
            </td>
            <td style="width: 15%" class="t_right">
                <?php echo getLan('copies') ?>
            </td>
            <td style="width: 15%" class="t_right">
                <?php echo getLan('amount') ?>
            </td>
        </tr>
        <?php
        $sub_t=0;
        $i=1;
        foreach ($cartp as $row) {
            ?>
             <tr class="mfill"> 
                <td class="t_center"><?=$i ?></td>
                <td class="t_left">
                <?php echo $row->pname; 
                  if($row->size!=''&&$row->size!='custom')  echo "<br> $row->size"; else echo "<br> $row->customsize"; 
                  if($row->material!='')  echo "<br> $row->material";
                  if($row->finish!=''&&$row->finish=='none')  echo "<br> $row->finish";
                  if($row->printtype!=''&&$row->printtype=='none')  echo "<br> $row->printtype";
                  if($row->printingmethod!='')  echo "<br>".getLan('printingmethod').": $row->printingmethod"; 
                  if($row->clean_cut!='')  echo "<br>".getLan('clean_cut').": $row->clean_cut";
                ?>
                </td>
              <td class="t_right"><?=$row->copies ?></td> 
              <td class="t_right"><?=amountFormat($row->saleprice) ?></td>
            </tr>
            <tr>
                <td></td> 
                <td class="descr" colspan="3">
                    <?=preecho($row->other_des) ?>
                    <?php if($row->variants!=''){ ?>
                    <b><?=getLan('variants'); ?></b>:
                    <?php echo "<br> $row->variants "; ?>
                  <?php } ?>
                        
                </td>
            </tr>';
           <?php
          $i++;
          }
        ?>
    </table>
    </div>
    <br>
    <table class="subtotal">
        <!-- <tr>
            <td style="width: 55%">&nbsp;</td>
            <td style="width: 30%"><?php echo getLan('subtotal') ?> </td>
            <td class="t_right" style="width: 15%">
                <?php echo amountFormat($info->subtotal); ?></td>
        </tr> -->
        <tr>
            <td style="width: 55%">&nbsp;</td>
            <td style="width: 30%"><?php echo getLan('shipping_cost'); ?></td>
            <td class="t_right" style="width: 15%">
                <?php echo amountFormat($info->shipping_cost); ?></td>
        </tr>
        <tr>
            <td style="width: 55%">&nbsp;</td>
            <td style="width: 30%"><?php echo getLan('vat'); ?></td>
            <td class="t_right" style="width: 15%">
                <?php echo amountFormat($info->vat_amount); ?></td>
        </tr>
        <?php if($info->discount_amount!=0){  ?>
            <tr>
            <td style="width: 55%">&nbsp;</td>
            <td style="width: 30%"><?php echo getLan('discount_amount'); ?></td>
            <td class="t_right" style="width: 15%">
                <?php echo amountFormat($info->discount_amount); ?></td>
        </tr>
        <?php } ?>
        <tr>
            <td></td>
            <td class="mfill"><strong><?php echo getLan('grand_total_amount'); ?></strong></td>
            <td class="t_right mfill"><strong>
            <?php echo amountFormat($info->grand_total_amount-$info->discount_amount); ?></strong></td>
        </tr>
       
        </table>
      
</div>
</body>
</html>