<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active"><a href="#"><?=getlan('order_complete') ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content mb-10 pb-2">
    <div class="container">
        <div class="order-success text-center font-weight-bolder text-dark">
            <?php if($info->payment_status=='paid'){  ?>
            <i class="fas fa-check"></i>
             <?php echo session()->getFlashdata('success'); ?>
         <?php }else{  ?>
            <i class="fas fa-window-close"></i>
            <?php echo session()->getFlashdata('warning'); ?>
        <?php } ?>
        </div>
        <!-- End of Order Success -->

        <ul class="order-view list-style-none">
            <li>
                <label><?=getLan('order_complete') ?></label>
                <strong><?=$info->invoice_number ?></strong>
            </li>
            <li>
                <label><?=getLan('status') ?></label>
                <strong><?=getLan($info->payment_status) ?></strong>
            </li>
            <li>
                <label><?=getLan('date') ?></label>
                <strong><?=$info->updated_at ?></strong>
            </li>
            <li>
                <label><?=getLan('total') ?></label>
                <strong><?=amountFormat($info->grand_total_amount-$info->discount_amount) ?></strong>
            </li>
            <li>
                <label><?=getLan('payment_method') ?></label>
                <strong><?=$info->payment_method ?></strong>
            </li>
       
        </ul>
        <!-- End of Order View -->

        <div class="order-details-wrapper mb-5">
            <h4 class="title text-uppercase ls-25 mb-5"><?=getLan('order_details') ?></h4>
            <table class="order-table">
                <thead>
                    <tr>
                        <th class="text-dark"><?=getLan('products') ?></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                <?php 
                  $m=0;
                  $totalamount=0;
                  $totaldeliverycost=0;
                  $subtotal=0;
                  foreach ($cartp as $prow) {
                     $totalamount=$totalamount+$prow->totalcost;
                     $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
                     $subtotal=$subtotal+$prow->saleprice;
                     $m++;
                  ?>
                <tr class="bb-no">
                    <td class="product-name"><?=$prow->pname ?> 
                            <span    class="product-quantity">
                            <?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> 
                                <?=getLan('copies') ?> <?php } ?>
                    </span></td>
                    <td class="product-total"><?=amountFormat($prow->totalcost) ?></td>
                </tr>
                <?php } ?>
                
            </tbody> 
                <tfoot>
                    <tr>
                    <th>
                        <b><?=getLan('subtotal'); ?></b>
                    </th>
                    <th>
                        <b><?=amountFormat($subtotal) ?></b>
                    </th>
                </tr>
                    <tr>
                        <th><?=getLan('shipping_cost'); ?>:</th>
                        <td><?=amountFormat($totaldeliverycost) ?></td>
                    </tr>
                    
                    <tr class="total">
                        <th class="border-no"><?=getLan('grand_total'); ?>:</th>
                        <td class="border-no"><?=amountFormat($totalamount) ?></td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <!-- End of Order Details -->
        <a href="<?=base_url('dashboard/order') ?>" class="btn btn-dark btn-rounded btn-icon-left btn-back mt-6"><i class="w-icon-long-arrow-left"></i><?=getLan('back_to_lists'); ?></a>
    </div>
</div>
<!-- End of PageContent -->