<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active">
                <a href="#"><?=getLan('payment_gateway'); ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
             <div class="row mb-9">
                <div class="col-lg-7 pr-lg-4 mb-4">
                    <h3 class="title billing-title text-uppercase ls-10 pt-1 pb-3 mb-0">
                        <?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)
                    </h3>
                    <div class="order-summary">
                    <table class="order-table">
                        <thead>
                            <tr>
                                <th colspan="2">
                                    <b><?=getLan('products') ?></b>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                              $m=0;
                              $totalamount=0;
                              $totaldeliverycost=0;
                              $subtotal=0;
                              foreach ($cartp as $prow) {
                                 $totalamount=$totalamount+$prow->totalcost;
                                 $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
                                 $subtotal=$subtotal+$prow->saleprice;
                                 $m++;
                              ?>
                            <tr class="bb-no">
                                <td class="product-name"><?=$prow->pname ?> 
                                        <span    class="product-quantity">
                                        <?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> 
                                            <?=getLan('copies') ?> <?php } ?>
                                </span></td>
                                <td class="product-total"><?=amountFormat($prow->totalcost) ?></td>
                            </tr>
                            <?php } ?>
                            <tr class="cart-subtotal bb-no">
                                <td>
                                    <b><?=getLan('subtotal'); ?></b>
                                </td>
                                <td>
                                    <b><?=amountFormat($subtotal) ?></b>
                                </td>
                            </tr>
                        </tbody>     
                </table>                          
                </div>
              </div>

                <div class="col-lg-5 mb-4 sticky-sidebar-wrapper">
                    <div class="order-summary-wrapper sticky-sidebar">
                        <h3 class="title text-uppercase ls-10"><?=getLan('payment'); ?></h3>
                        <div class="order-summary">
                            <table class="order-table">
                                <thead>
                                    <tr>
                                        <th colspan="2">
                                            <b><?=getLan('amount_details'); ?></b>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="cart-subtotal bb-no">
                                        <td> <b><?=getLan('subtotal'); ?></b>  </td>
                                        <td> <b><?=amountFormat($subtotal) ?></b></td>
                                    </tr>
                                    <tr class="cart-subtotal bb-no">
                                        <td><b><?=getLan('shipping_cost'); ?></b> </td>
                                        <td><b><?=amountFormat($totaldeliverycost) ?></b></td>
                                    </tr>
                                    <tr class="cart-subtotal bb-no">
                                        <td><b><?=getLan('vat'); ?></b> </td>
                                        <td> <b><?=amountFormat(0) ?></b></td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr class="order-total">
                                        <th> <b><?php echo getLan('grand_total'); ?></b></th>
                                        <td> <b><?=amountFormat($totalamount) ?></b> </td>
                                    </tr>
                                </tfoot>
                            </table>

                            <div class="payment-methods" id="payment_method">
                              <form id='checkout-form' action="<?=base_url('payment'); ?>" method="POST">
                                <input type='hidden' name="invid" id="invid" value="<?=endecry($info->id,'encrypt') ?>">
                                <input type='hidden' name="paymentMethod"   value="Stripe">
                                <h4 class="title font-weight-bold ls-25 pb-0 mb-1"><?=getLan('payment_method') ?></h4>
                                <div class="accordion payment-accordion">
                                  <div class="container">
                                    <div class="col-md-12 mb-3">
                                      <label for="cc-name">Name on card</label>
                                      <input type="text" class="form-control" id="cc-name" placeholder="" required="">
                                      <small class="text-muted">Full name as displayed on card</small>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                      <label for="cc-name"><?=getLan('email'); ?></label>
                                      <input type="text" class="form-control" id="email" placeholder="<?=getLan('email'); ?>" required="" name="email">
                                    </div>
                                    <div class="col-md-12 mb-3">
                                    <input type='hidden' name='stripeToken' id='stripe-token-id'>
                                    <div id="card-element" class="form-control" ></div>
                                    </div>
                                    <button id="pay-btn"
                                              class="btn btn-success mt-3"
                                              type="button"
                                              style="margin-top: 20px; width: 100%;padding: 7px;"
                                              onclick="createToken()"><?=getLan('process_to_pay') ?> <?=amountFormat($info->grand_total_amount-$info->paid_amount) ?>  
                                    </button>
                                   
                                  </div>
                                </div>
                              </form>
                            </div>
                  
                        </div>
                    </div>
                </div>
                <
            </div>
     </div>
</div>

<script src="https://js.stripe.com/v3/" ></script>
<script>
  var stripe = Stripe("<?php echo getenv('stripe.key') ?>");
    var elements = stripe.elements();
    var cardElement = elements.create('card');
    cardElement.mount('#card-element');
    function createToken() {
        document.getElementById("pay-btn").disabled = true;
        stripe.createToken(cardElement).then(function(result) {
            if(typeof result.error != 'undefined') {
                document.getElementById("pay-btn").disabled = false;
                alert(result.error.message);
            }
            // creating token success
            if(typeof result.token != 'undefined') {
                document.getElementById("stripe-token-id").value = result.token.id;
                document.getElementById('checkout-form').submit();
            }
        });
    }
    ////////////////////////////

</script>