<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active">
                <a href="#"><?=getLan('payment_gateway'); ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
             <div class="row mb-9">
                <div class="col-lg-6 pr-lg-4 mb-4">
                    <h3 class="title billing-title text-uppercase ls-10 pt-1 pb-3 mb-0">
                        <?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)
                    </h3>
                    <div class="order-summary">
                    <table class="order-table">
                        <thead>
                            <tr>
                                <th colspan="2">
                                    <b><?=getLan('products') ?></b>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                              $m=0;
                              $totalamount=0;
                              $totaldeliverycost=0;
                              $subtotal=0;
                              foreach ($cartp as $prow) {
                                 $totalamount=$totalamount+$prow->totalcost;
                                 $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
                                 $subtotal=$subtotal+$prow->saleprice;
                                 $m++;
                              ?>
                            <tr class="bb-no">
                                <td class="product-name"><?=$prow->pname ?> 
                                        <span    class="product-quantity">
                                        <?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> 
                                            <?=getLan('copies') ?> <?php } ?>
                                </span></td>
                                <td class="product-total"><?=amountFormat($prow->saleprice) ?></td>
                            </tr>
                            <?php } ?>
                            <tr class="cart-subtotal bb-no " style="border-top:  1px solid #eee">
                                <td>
                                    <b><?=getLan('subtotal'); ?></b>
                                </td>
                                <td>
                                    <b><?=amountFormat($subtotal) ?></b>
                                </td>
                            </tr>
                            <tr class="cart-subtotal bb-no">
                                <td><b><?=getLan('shipping_cost'); ?></b> </td>
                                <td><b><?=amountFormat($totaldeliverycost) ?></b></td>
                            </tr>
                            <tr class="cart-subtotal bb-no">
                                <td><b><?=getLan('vat'); ?></b> </td>
                                <td> <b><?=amountFormat($info->vat_amount) ?></b></td>
                            </tr>
                            <?php if($info->discount_amount!=0){  ?>
                            <tr class="cart-subtotal bb-no">
                                <td>
                                    <b><?=getLan('discount_amount'); ?> (<?=$info->coupon_code ?>)</b>
                                </td> 
                                <td>
                                    <b><?=amountFormat($info->discount_amount) ?></b>
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody> 
                        <tfoot>
                        <tr class="order-total">
                            <th> <b><?php echo getLan('grand_total'); ?></b></th>
                            <td> <b><?=amountFormat($info->grand_total_amount-$info->discount_amount) ?></b> </td>
                        </tr>
                    </tfoot>    
                </table>                          
                </div>
              </div>

                <div class="col-lg-6 mb-4 sticky-sidebar-wrapper">
                    <div class="order-summary-wrapper sticky-sidebar">
                        <div class="order-summary">
                            <table class="order-table">
                                <tfoot>
                                    <tr class="order-total">
                                        <th> <h3 class="title text-uppercase ls-10">
                                            <?=getLan('payment'); ?></h3>
                                        </th>
                                        <td> <h3 class="title text-uppercase ls-10">
                                            <?=getLan('amount'); ?> : <?=amountFormat($info->grand_total_amount-$info->discount_amount) ?></h3> 
                                        </td>
                                    </tr>
                                </tfoot>
                            </table>

                            <div class="payment-methods" id="payment_method">
                                <form id="payment-form" class="paymentform" action="<?=base_url('payment'); ?>" >
                                  <div id="payment-element">
                                    <!--Stripe.js injects the Payment Element-->
                                  </div>
                                  <button id="submit" style="width: 100%">
                                    <div class="spinner hidden" id="spinner"></div>
                                    <span id="button-text">
                                        <?=getLan('process_to_pay') ?> <?=amountFormat($info->grand_total_amount-$info->discount_amount) ?>
                                    </span>
                                  </button>
                                  <div id="payment-message" class="hidden"></div>
                                </form>
                            </div>
                  
                        </div>
                    </div>
                </div>
                
            </div>
     </div>
</div>
<br><br><br>
<br><br><br>
<script src="https://js.stripe.com/v3/"></script>
<script>
// This is your test publishable API key.
const stripe = Stripe("<?php echo getenv('stripe.key') ?>");
// The items the customer wants to buy
const items = [{ id: "<?=endecry($info->id,'encrypt') ?>" }];
let elements;
initialize();
checkStatus();
document
  .querySelector("#payment-form")
  .addEventListener("submit", handleSubmit);
// Fetches a payment intent and captures the client secret
async function initialize() {
  const { clientSecret } = await fetch("<?=base_url('createsession')?>", {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ items }),
  }).then((r) => r.json());

  elements = stripe.elements({ clientSecret });

  const paymentElement = elements.create("payment");
  paymentElement.mount("#payment-element");
}
//alert(stripe);
async function handleSubmit(e) {
  e.preventDefault();
  setLoading(true);
  const { error } = await stripe.confirmPayment({
    elements,
    confirmParams: {
      // Make sure to change this to your payment completion page
      return_url: "<?=base_url('result') ?>/<?=endecry($info->id,'encrypt') ?>",
    },
  });

  // This point will only be reached if there is an immediate error when
  // confirming the payment. Otherwise, your customer will be redirected to
  // your `return_url`. For some payment methods like iDEAL, your customer will
  // be redirected to an intermediate site first to authorize the payment, then
  // redirected to the `return_url`.
  if (error.type === "card_error" || error.type === "validation_error") {
    showMessage(error.message);
  } else {
    showMessage("An unexpected error occurred.");
  }

  setLoading(false);
}

// Fetches the payment intent status after payment submission
async function checkStatus() {
  const clientSecret = new URLSearchParams(window.location.search).get(
    "payment_intent_client_secret"
  );

  if (!clientSecret) {
    return;
  }

  const { paymentIntent } = await stripe.retrievePaymentIntent(clientSecret);

  switch (paymentIntent.status) {
    case "succeeded":
      showMessage("<?=getLan('Payment_succeeded'); ?>");
      break;
    case "processing":
      showMessage("<?=getLan('your_payment_processing'); ?>");
      break;
    case "requires_payment_method":
      showMessage("<?=getLan('your_payment_was_not_successfull'); ?>");
      break;
    default:
      showMessage("<?=getLan('something_went_wrong'); ?>");
      break;
  }
}

// ------- UI helpers -------

function showMessage(messageText) {
  const messageContainer = document.querySelector("#payment-message");

  messageContainer.classList.remove("hidden");
  messageContainer.textContent = messageText;

  setTimeout(function () {
    messageContainer.classList.add("hidden");
    messageText.textContent = "";
  }, 4000);
}

// Show a spinner on payment submission
function setLoading(isLoading) {
  if (isLoading) {
    // Disable the button and show a spinner
    document.querySelector("#submit").disabled = true;
    document.querySelector("#spinner").classList.remove("hidden");
    document.querySelector("#button-text").classList.add("hidden");
  } else {
    document.querySelector("#submit").disabled = false;
    document.querySelector("#spinner").classList.add("hidden");
    document.querySelector("#button-text").classList.remove("hidden");
  }
}

</script>
<style>
.paymentform {
  width: 100%;
  min-width: 500px;
  align-self: center;
  box-shadow: 0px 0px 0px 0.5px rgba(50, 50, 93, 0.1),
    0px 2px 5px 0px rgba(50, 50, 93, 0.1), 0px 1px 1.5px 0px rgba(0, 0, 0, 0.07);
  border-radius: 7px;
  padding: 40px;
  overflow: hidden;
}
.hidden {
  display: none;
}

#payment-message {
  color: rgb(105, 115, 134);
  font-size: 16px;
  line-height: 20px;
  padding-top: 12px;
  text-align: center;
}

#payment-element {
  margin-bottom: 24px;
}

/* Buttons and links */
button {
  background: #5469d4;
  font-family: Arial, sans-serif;
  color: #ffffff;
  border-radius: 4px;
  border: 0;
  padding: 12px 16px;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  display: block;
  transition: all 0.2s ease;
  box-shadow: 0px 4px 5.5px 0px rgba(0, 0, 0, 0.07);
  width: 100px;
}
button:hover {
  filter: contrast(115%);
}
button:disabled {
  opacity: 0.5;
  cursor: default;
}

/* spinner/processing state, errors */
.spinner,
.spinner:before,
.spinner:after {
  border-radius: 50%;
}
.spinner {
  color: #ffffff;
  font-size: 22px;
  text-indent: -99999px;
  margin: 0px auto;
  position: relative;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}
.spinner:before,
.spinner:after {
  position: absolute;
  content: "";
}
.spinner:before {
  width: 10.4px;
  height: 20.4px;
  background: #5469d4;
  border-radius: 20.4px 0 0 20.4px;
  top: -0.2px;
  left: -0.2px;
  -webkit-transform-origin: 10.4px 10.2px;
  transform-origin: 10.4px 10.2px;
  -webkit-animation: loading 2s infinite ease 1.5s;
  animation: loading 2s infinite ease 1.5s;
}
.spinner:after {
  width: 10.4px;
  height: 10.2px;
  background: #5469d4;
  border-radius: 0 10.2px 10.2px 0;
  top: -0.1px;
  left: 10.2px;
  -webkit-transform-origin: 0px 10.2px;
  transform-origin: 0px 10.2px;
  -webkit-animation: loading 2s infinite ease;
  animation: loading 2s infinite ease;
}

@-webkit-keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@media only screen and (max-width: 600px) {
  form {
    width: 80vw;
    min-width: initial;
  }
}
</style>
