<!-- Start of Breadcrumb --> 
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active"><a href="#"><?=getLan('shopping_cart') ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
        <div class="row gutter-lg mb-10">
            <?php if(session()->getFlashdata('warning')!=''){  ?>
            <div class="col-md-12 mb-4">
                <div class="alert alert-icon alert-warning alert-bg alert-inline show-code-action" style="text-align: center;">
                    <h4 class="alert-title" >
                        <i class="w-icon-exclamation-triangle"></i><?=getLan('warning') ?>!</h4>
                    <?=getLan(session()->getFlashdata('warning')) ?>
                </div>
            </div>
            <?php } ?>
            <div class="col-lg-8 pr-lg-4 mb-6">
                <table class="shop-table cart-table">
                    <thead>
                        <tr>
                            <th class="product-name"><span><?=getLan('products') ?> </span></th>
                            <th></th>
                            <th class="product-quantity"><span><?=getLan('copies') ?> </span></th>
                            <th class="product-price"><span><?=getLan('price') ?> </span></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                          $totalamount=0;
                          $subtotal=0;
                          $deliverycost=0;
                          foreach ($cartp as $prow) {
                            $totalamount=$totalamount+$prow['price'];
                            $subtotal=$subtotal+$prow['saleprice'];
                            $deliverycost=$deliverycost+$prow['deliverycost'];
                          ?>
                        <tr>
                            <td class="product-thumbnail">
                                <div class="p-relative">
                                    <figure>
                                        <img src="<?=img($prow['sku'])?>" alt="product"
                                            width="300" height="338">
                                    </figure>
                                    <button type="submit" class="btn btn-close" onclick="remItem('<?=$prow['rowid']; ?>')"><i
                                            class="fas fa-times"></i>
                                    </button>
                                </div>
                            </td>
                            <td class="product-name" style="padding-left: 15px">
                                    <strong><?=$prow['pname'] ?></strong>
                                    <div class="product-color">
                                    <?php if($prow['size']!='') echo $prow['size']; ?>
                                    <?php if($prow['material']!='') 
                                    echo "<br>".$prow['material'] ; ?>
                                    <?php if($prow['printingmethod']!='') 
                                    echo "<br>".$prow['printingmethod'] ; ?>
                                    <br>
                                   <!--  <strong><?=getLan('Properties'); ?> : </strong> 
                                    <?php if($prow['other_des']!='') 
                                    echo "<br>".$prow['other_des'] ; ?> -->
                                    <?php if($prow['variants']!=''){
                                      ?> 
                                      <b><?=getLan('variants'); ?></b>:
                                      <?php echo "<br>".$prow['variants']; ?>
                                    <?php } ?>
                                   </div>
                            </td>
                            <td class="product-quantity" style="text-align: center;">
                                <strong><?=$prow['copies'] ?></strong>
                            </td>
                            <td class="product-price" style="text-align: center;">
                                <span class="amount"><?=amountFormat($prow['saleprice']) ?></span></td>
                        </tr>
                        <?php } ?>
                    </tbody>
                </table>
                <div class="cart-action mb-6">
                    <a href="<?=base_url('shop')?>" class="btn btn-dark btn-rounded btn-icon-left btn-shopping mr-auto"><i class="w-icon-long-arrow-left"></i><?=getLan('continue_shopping') ?> </a>
                    <a href="<?=base_url('clear')?>" class="btn btn-rounded btn-default btn-clear" ><?=getLan('clear_cart') ?> </a> 
                 </div>
            </div>
            <div class="col-lg-4 sticky-sidebar-wrapper">
                <div class="sticky-sidebar">
                    <div class="cart-summary mb-4">
                        <h3 class="cart-title text-uppercase"><?=getLan('cart_totals')?></h3>
                        <!-- <div class="cart-subtotal d-flex align-items-center justify-content-between">
                            <label class="ls-25"><?=getLan('subtotal')?></label>
                            <span><?=amountFormat($subtotal) ?></span>
                        </div>
                        <hr class="divider"> -->
                        <div class="order-total d-flex justify-content-between align-items-center">
                            <label><?=getLan('shipping_cost')?></label>
                            <span class="ls-50"><?=amountFormat($deliverycost) ?></span>
                        </div>
                        <hr class="divider">
                        <div class="order-total d-flex justify-content-between align-items-center">
                            <label><?=getLan('vat')?></label>
                            <span class="ls-50"><?=amountFormat($totalamount*20/100) ?></span>
                        </div>
                        <hr class="divider">
                        <div class="order-total d-flex justify-content-between align-items-center">
                            <label><?=getLan('grand_total')?></label>
                            <span class="ls-50"><?=amountFormat($totalamount+$totalamount*20/100) ?></span>
                        </div>
                        <hr class="divider">
                        <a href="<?=base_url('checkout')?>"
                            class="btn btn-block btn-primary btn-icon-right btn-rounded  btn-checkout">
                            <?=getLan('checkout')?>
                            <i class="w-icon-long-arrow-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End of PageContent